httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jobst Schmalenbach <jo...@barrett.com.au>
Subject [users@httpd] Apache upgrade 2.2 -> 2.4 and "PerlAuthenHandler Authen::Simple::IMAP"
Date Mon, 18 Feb 2019 03:05:18 GMT
Hi

I have just started upgrading all of my CentOS servers from 6.X to 7.X.
With that Apache gets upgraded from 2.2 to 2.4.

While I have fixed most of the issues one that I cannot solve is the
"PerlAuthenHandler Authen::Simple::IMAP" in .htaccess files.

I use this frequently on many machines as it is real easy for me to look after this,

Using apache 2.2 this used to work like a charm with an .htaccess file in the directory to
protect:

    satisfy any
    Order deny,allow
    deny from all

    AuthName "Protected by IMAP credentials"
    AuthType Basic
    require user USER1 USER2 
    PerlAuthenHandler Authen::Simple::IMAP
    PerlSetVar        AuthenSimpleIMAP_host     "CENTRAL.IMAPS.SERVER.HOST.NAME"
    PerlSetVar        AuthenSimpleIMAP_protocol "IMAPS"

    allow from localhost
    allow from THESERVER

I re-wrote this for apache 2.4 (not repeating the perl stuff) but same .htaccess file

   <RequireAll>
     Require user USER1 USER2 
     # do not turn this off, or else this will not work.
     Require ip 127.0.0.1
     Require host localhost
     Require host THESERVER
   </RequireAll>

In the server's httpd.conf file I have:

   PerlRequire /etc/httpd/conf/startup.pl

which contains this:

   #!/bin/env /usr/bin/perl
   use strict;
   use warnings;
   use Authen::Simple::IMAP;
   1;

This loads with no error messages.

The problem really is:

  ==> error_log <==
  failed to resolve handler Authen::Simple::IMAP
  failed to resolve handler Authen::Simple::IMAP
  failed to resolve handler Authen::Simple::IMAP
  failed to resolve handler Authen::Simple::IMAP

And the browser page displays a "Secure connection failed" which is crap as the certificate
and everything is in perfect condition.


How can I make this work with apache 2.4?

thanks
Jobst


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message